# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:		pondus
Version:	0.8.0
Release:	alt1_4
Summary:	A personal weight management program
Group:		Office
License:	MIT
URL:		http://www.ephys.de/software/pondus/
Source0:	http://bitbucket.org/eike/pondus/downloads/pondus-%{version}.tar.gz

BuildRequires:	desktop-file-utils
BuildRequires:	python-devel
BuildRequires:	python-module-setuptools
BuildArch:	noarch
Source44: import.info

# Required for plotting, not picked up automatically

%description
Pondus is a personal weight management program written in Python and Gtk+2
released under the GPL. It aims to be simple to use, lightweight and fast.
The data can be plotted to get a quick overview of the history of your weight.
A simple weight planner allows to define "target weights" and this plan can be
compared with the actual measurements in a plot.

%prep
%setup -q
# Remove Version entry from desktop file
sed -i "/Version/d" data/pondus.desktop

%build
python -c 'import setuptools; execfile("setup.py")' build

%install
python -c 'import setuptools; execfile("setup.py")' install -O1 --skip-build --root %{buildroot}
# Find locales
%{find_lang} %{name}
# Remove installed doc that will go in %%doc
rm -rf %{buildroot}%{_docdir}/%{name}
# Verify desktop file install
desktop-file-install --dir=%{buildroot}%{_datadir}/applications --vendor="" --remove-category=GTK data/pondus.desktop

%files -f %{name}.lang
%doc AUTHORS CONTRIBUTING LICENSE NEWS PKG-INFO README TODO
%{_bindir}/pondus
%{_mandir}/man1/pondus.1.*
%{_datadir}/applications/pondus.desktop
%{_datadir}/pixmaps/pondus.xpm
%{_datadir}/icons/hicolor/*/apps/pondus.*
%{_datadir}/pondus/
%{python_sitelibdir_noarch}/pondus/
%{python_sitelibdir_noarch}/pondus-*.egg-info

%changelog
* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 0.8.0-alt1_4
- initial fc import

